| GL Studio C++ Runtime API

Public Types | Static Public Member Functions | List of all members
CharTraitsUnsignedShort Struct Reference

`#include <util.h>`

## Public Types
typedef unsigned short | char_type
| Typedef for the underlying char type.
typedef int | int_type
| Typedef for the underlying int type.
typedef std::streampos | pos_type
| Typedef for the underlying stream position type.
typedef std::streamoff | off_type
| Typedef for the underlying stream offset type.
typedef std::mbstate_t | state_type
| Typedef for the underlying multibyte conversion state type.

## Static Public Member Functions
static void | assign (char_type &c1, const char_type &c2)
static bool | eq (const char_type &c1, const char_type &c2)
static bool | lt (const char_type &c1, const char_type &c2)
static int | compare (const char_type *s1, const char_type *s2, size_t n)
static size_t | length (const char_type *s)
static const char_type * | find (const char_type *s, size_t n, const char_type &a)
static char_type * | move (char_type *s1, const char_type *s2, size_t n)
static char_type * | copy (char_type *s1, const char_type *s2, size_t n)
static char_type * | assign (char_type *s, size_t n, char_type a)
static char_type | to_char_type (const int_type &c)
static int_type | to_int_type (const char_type &c)
static bool | eq_int_type (const int_type &c1, const int_type &c2)
static int_type | eof ()
static int_type | not_eof (const int_type &c)

## Detailed Description

helper class that enables use of basic_string< unsigned short > on unix

See also
  std::char_traits

## Member Function Documentation

## ◆ assign() [1/2]

static void assign | ( | char_type & | c1,
|  | const char_type & | c2
| ) |  |
| inline static

See also
  std::char_traits::assign

Parameters

  c1 |
  c2 |

## ◆ assign() [2/2]

static char_type * assign | ( | char_type * | s,
|  | size_t | n,
|  | char_type | a
| ) |  |
| inline static

See also
  std::char_traits::assign

Parameters

  s |
  n |
  a |

Returns

## ◆ compare()

static int compare | ( | const char_type * | s1,
|  | const char_type * | s2,
|  | size_t | n
| ) |  |
| inline static

See also
  std::char_traits::compare

Parameters

  s1 |
  s2 |
  n |

Returns

## ◆ copy()

static char_type * copy | ( | char_type * | s1,
|  | const char_type * | s2,
|  | size_t | n
| ) |  |
| inline static

See also
  std::char_traits::copy

Parameters

  s1 |
  s2 |
  n |

Returns

## ◆ eof()

static int_type eof | ( |  | ) |
| inline static

See also
  std::char_traits::eof

Returns

## ◆ eq()

static bool eq | ( | const char_type & | c1,
|  | const char_type & | c2
| ) |  |
| inline static

See also
  std::char_traits::eq

Parameters

  c1 |
  c2 |

Returns

## ◆ eq_int_type()

static bool eq_int_type | ( | const int_type & | c1,
|  | const int_type & | c2
| ) |  |
| inline static

See also
  std::char_traits::eq_int_type

Parameters

  c1 |
  c2 |

Returns

## ◆ find()

static const char_type * find | ( | const char_type * | s,
|  | size_t | n,
|  | const char_type & | a
| ) |  |
| inline static

See also
  std::char_traits::find

Parameters

  s |
  n |
  a |

Returns

## ◆ length()

static size_t length | ( | const char_type * | s | ) |
| inline static

See also
  std::char_traits::length

Parameters

  s |

Returns

## ◆ lt()

static bool lt | ( | const char_type & | c1,
|  | const char_type & | c2
| ) |  |
| inline static

See also
  std::char_traits::lt

Parameters

  c1 |
  c2 |

Returns

## ◆ move()

static char_type * move | ( | char_type * | s1,
|  | const char_type * | s2,
|  | size_t | n
| ) |  |
| inline static

See also
  std::char_traits::move

Parameters

  s1 |
  s2 |
  n |

Returns

## ◆ not_eof()

static int_type not_eof | ( | const int_type & | c | ) |
| inline static

See also
  std::char_traits::not_eof

Parameters

  c |

Returns

## ◆ to_char_type()

static char_type to_char_type | ( | const int_type & | c | ) |
| inline static

See also
  std::char_traits::to_char_type

Parameters

  c |

Returns

## ◆ to_int_type()

static int_type to_int_type | ( | const char_type & | c | ) |
| inline static

See also
  std::char_traits::to_int_type

Parameters

  c |

Returns

The documentation for this struct was generated from the following file:

- util.h